body {
	margin: 0px;
	padding: 0px;
	font-family: 'Helvetica';
	font-size: 16pt;
	border: 0;
	display: block;
	transition: background-color .5s;
	background-color: #000;
}
body.stopwatch {
	background-color: #088;
}
body.timer {
	background-color: #880;
}
body.tasks {
	background-color: #808;
}
body.stats {
	background-color: #844;
}

.header {
	position: absolute;
	top: 0px;
	left: 0px;
	right: 0px;
	height: 48px;
	padding: 0px 8px;
	color: #fff;
	box-shadow: 0px 0px 4px #000;
	z-index: 1;
}

.menu-item {
	text-decoration: none;
	color: #fff;
	display: inline-block;
	line-height: 32px;
	padding: 8px;
	padding-bottom: 4px;
	border-bottom: solid 4px transparent;
	cursor: pointer;
}
.menu-item:hover {
	background-color: rgba(255,255,255,0.25);
}

body.stopwatch .menu-item[href='#stopwatch'] {
	border-bottom-color: #fff;
}
body.timer .menu-item[href='#timer'] {
	border-bottom-color: #fff;
}
body.tasks .menu-item[href='#tasks'] {
	border-bottom-color: #fff;
}
body.stats .menu-item[href='#stats'] {
	border-bottom-color: #fff;
}

@media(max-width: 500px) {
	.menu-item {
		padding: 8px 0px;
		width: calc(25% - 5px);
		text-align: center;
	}
	.menu-title {
		display: none;
	}
}

.content {
	position: absolute;
	margin-top: 48px;
	width: 100%;
	min-height: calc(100% - 48px);
	height: auto;
	background-color: rgba(255,255,255,0.75);
}
.page {
	display: none;
	padding: 8px;
	max-width: 300px;
	margin: 8px auto;
}
body.stopwatch .page#stopwatch {
	display: block;
}
body.timer .page#timer {
	display: block;
}
body.tasks .page#tasks {
	display: block;
	max-width: 400px;
}
body.stats .page#stats {
	display: block;
}

.progress {
	background-color: #ccc;
	border-radius: 50%;
	padding: 10%;
}
.face {
	font-size: 48pt;
	line-height: 1em;
	background-color: #fff;
	border-radius: 50%;
	width: 100%;
	padding: calc(50% - .5em) 0px;
	text-align: center;
}
@media(max-width: 300px) {
	.face {
		font-size: 20vw;
	}
}
.setup input {
    all: unset;
	border: none;
	font-size: 1em;
	height: 1em;
	width: 2ch;
	margin: 0px -.5ch;
}
.setup input:focus {
	border-bottom: solid 2px #880;
	margin-bottom: -2px;
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
.setup {
	display: none;
}
.face.edit .setup {
	display: block;
}
.face.edit .display {
	display: none;
}

@keyframes alarm {
	0%   {background-color: #f44; }
	50%  {background-color: #484; }
	100% {background-color: #f44; }
}
.alarm .face {
	color: #fff;
	animation: alarm 2s infinite;
}

.actions {
	margin-top: 24px;
}
.action {
    border: none;
	display: inline-block;
	margin: 4px;
	color: white;
	background-color: #000;
	font-size: 24pt;
	line-height: 1em;
	padding: calc((33% - 12px) / 2 - .5em) 0px calc((33% - 12px) / 2 + .5em) 0px;
	height: 0px;
	width: calc(33% - 12px);
	border-radius: 50%;
	box-shadow: 0px 0px 5px #444;
	text-align: center;
	transition: transform .5s;
	cursor: pointer;
}
.action:hover {
	transform: scale(1.1);
}
@media (max-width: 300px) {
	.action {
		font-size: 10vw;
	}
}
.action.start,
.action.stop {
	background-color: #080;
}
.action.start i::before {
	content: "\f04b"; /* play */
}
.action.stop i::before {
	content: "\f04c"; /* pause */
}
.alarm .action.stop i::before {
	content: "\f1f6" /* bell-slash */
}
.action.reset {
	background-color: #c00;
}
.action.reset i::before {
	content: "\f0e2"; /* undo */
}
.action.save,
.action.new {
	background-color: #00c;
}
.action.save i::before {
	content: "\f08d"; /* thumbtack */
}
.action.new i::before {
	content: "\f15b"; /* file */
}

.notify-opt {
	margin: 16px 8px;
	font-size: 16pt;
	text-align: center;
}
#notify {
	transform: scale(1.5);
	margin-left: 8px;
}

.task-item {
    text-decoration: none;
    color: #000;
	position: relative;
	display: flex;
	align-items: center;
	flex-wrap: wrap;
	justify-content: center;
	background-color: #fff;
	padding: 4px;
	box-shadow: 0px 0px 4px #000;
	margin: 8px 0px;
	cursor: pointer;
}
.task-item.alarm {
	animation: alarm 1s infinite;
	color: #fff;
}
.task-item > * {
	padding: 4px;
}
.task-item .icon {
	font-size: 28pt;
}
.task-item.timer .icon::before {
	content: "\f017"; /* clock */
	color: #488;
}
.task-item.stopwatch .icon::before {
	content: "\f2f2"; /* stopwatch */
	color: #884;
}
.task-item.alarm .icon::before {
	color: #fff;
}
.task-item .task-info {
	flex-grow: 1;
}
.task-item .task-details {
	font-size: 12pt;
}
.task-item .task-details > * {
	display: inline;
}
.task-item .task-status::before {
	content: 'Stopped';
	color: #888;
}
.task-item.active .task-status::before {
	content: 'Active';
	color: #080;
}
.task-item.alarm .task-status::before {
	content: 'Finished';
	color: #ccf;
}
.task-item.stopwatch .task-length {
	display: none;
}
.task-item .task-length {
	font-weight: bold;
}
.task-item .task-display {
	font-size: 28pt;
	text-align: center;
}
#template-task {
	display: none;
}